#include <LiquidCrystal.h>
int k = 0;
int red_light_pin= 11;
int green_light_pin = 10;
int blue_light_pin = 9;
const int buzzer = 8; 
int sensorValue;
const int rs = 7, en = 6, d4 = 5, d5 = 4, d6 = 3, d7 = 2;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

void setup() {
  pinMode(red_light_pin, OUTPUT);
  pinMode(green_light_pin, OUTPUT);
  pinMode(blue_light_pin, OUTPUT);
  pinMode(A2, INPUT); //intrare
  pinMode(A1, INPUT); //iesire
  Serial.begin(9600);
  RGB_color(0, 0, 0);
  Serial.println("Oamenii pot intra!");
  lcd.begin(16,2);
  lcd.setCursor(0,0);
  pinMode(buzzer, OUTPUT); 
  noTone(buzzer);
}

void show() {
  Serial.print(k);
    Serial.println(" Oameni in camera ");
}


void loop() {

  sensorValue = analogRead(A0);
  if(sensorValue >= 200)
  { 
    Serial.print("Calitatea aerului scazuta, deschideti un geam!");
    Serial.print(sensorValue, DEC);     
    Serial.println(" PPM");
    RGB_color(255, 0, 0);
    tone(buzzer,500);
    delay(1000);
  }
  
  noTone(buzzer);
  
  if(k < 5){
     RGB_color(0, 0, 255);
     noTone(buzzer);
     
  }
  
  
  if(digitalRead(A2) == 0 && digitalRead(A1) > 0)
    {Serial.print("A iesit o persoana. ");
    if(k>0)
      {k--;
      show();}
    if(k == 0)
      Serial.println("Camera este goala");
    delay(500);
    
    }
 
  if(digitalRead(A2) > 0 && digitalRead(A1) == 0)
    {Serial.print("A intrat o persoana. ");
    k++;
    show();
    if(k>=5){
      Serial.println("Full House! Numarul maxim de persoane atins!");
      RGB_color(255, 0, 0);
      tone(buzzer, 500);
    }
    }
    delay(500);
   }


void RGB_color(int red_light_value, int green_light_value, int blue_light_value)
 {
  analogWrite(red_light_pin, red_light_value);
  analogWrite(green_light_pin, green_light_value);
  analogWrite(blue_light_pin, blue_light_value);
}
